# Class HttpsProtocolSupport

java.lang.Object
com.meterware.httpunit.HttpsProtocolSupport

public abstract class HttpsProtocolSupport extends Object
Encapsulates support for the HTTPS protocol.

Author:
  Russell Gold

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`IBMJSSE_PROVIDER_CLASS`
`static final String`
`IBMSSL_PROTOCOL_HANDLER`
`static final String`
`SunJSSE_PROVIDER_CLASS`
`static final String`
`SunJSSE_PROVIDER_CLASS2`
`static final String`
`SunSSL_PROTOCOL_HANDLER`

## Constructor Summary

Constructors
Constructor
Description
`HttpsProtocolSupport()`

## Method Summary

Modifier and Type
Method
Description
`static Class`
`getHttpsProviderClass()`
get the Https Provider Class if it's been set already return it - otherwise check with the Security package and take the first available provider if all fails take the default provider class
`static void`
`useIBM()`
use the IBM WebShpere handlers
`static void`
`useProvider(String className, String handlerName)`
use the given SSL providers - reset the one used so far

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SunJSSE_PROVIDER_CLASS

public static final String SunJSSE_PROVIDER_CLASS

See Also:
  - Constant Field Values

### SunJSSE_PROVIDER_CLASS2

public static final String SunJSSE_PROVIDER_CLASS2

See Also:
  - Constant Field Values

### SunSSL_PROTOCOL_HANDLER

public static final String SunSSL_PROTOCOL_HANDLER

See Also:
  - Constant Field Values

### IBMJSSE_PROVIDER_CLASS

public static final String IBMJSSE_PROVIDER_CLASS

See Also:
  - Constant Field Values

### IBMSSL_PROTOCOL_HANDLER

public static final String IBMSSL_PROTOCOL_HANDLER

See Also:
  - Constant Field Values

## Constructor Details

### HttpsProtocolSupport

public HttpsProtocolSupport()

## Method Details

### useProvider

public static void useProvider(String className, String handlerName)
use the given SSL providers - reset the one used so far

Parameters:
  `className` -
  `handlerName` -

### useIBM

public static void useIBM()
use the IBM WebShpere handlers

### getHttpsProviderClass

public static Class getHttpsProviderClass() throws ClassNotFoundException
get the Https Provider Class if it's been set already return it - otherwise check with the Security package and take the first available provider if all fails take the default provider class

Returns:
  the HttpsProviderClass
Throws:
  `ClassNotFoundException`